package ru.soune.nocopy.handler;

import com.fasterxml.jackson.databind.ObjectMapper;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;
import ru.soune.nocopy.dto.BaseRequest;
import ru.soune.nocopy.dto.BaseResponse;
import ru.soune.nocopy.dto.MessageCode;
import ru.soune.nocopy.dto.statistic.UserDynamicStatisticResponse;
import ru.soune.nocopy.service.statistic.UserDynamicStatisticService;

@Component
@RequiredArgsConstructor
@Slf4j
public class StatisticUserDynamicHandler implements RequestHandler {
    private final UserDynamicStatisticService statisticService;

    @Override
    public BaseResponse handle(BaseRequest request) throws Exception {
        UserDynamicStatisticResponse statistics = statisticService.getUserDynamicStatistics();

        return new BaseResponse(
                request.getMsgId(),
                MessageCode.SUCCESS.getCode(),
                MessageCode.SUCCESS.getDescription(),
                statistics);
    }
}
